<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.ywt</groupId>
        <artifactId>ywt-platform-outpatient-parent</artifactId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>

    <artifactId>ywt-platform-outpatient-sdk</artifactId>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <dependencies>
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-platform-outpatient-base</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-platform-outpatient-common</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-platform-baseservice-base</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-platform-msg-base</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-platform-pay-base</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-platform-internethospital-base</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-platform-prescription-base</artifactId>
        </dependency>
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-platform-order-base</artifactId>
        </dependency>
        <!-- common 引入-->
        <dependency>
            <groupId>com.ywt</groupId>
            <artifactId>ywt-biz-common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
        </dependency>
        <!-- 自动装配dubbo-->
        <dependency>
            <groupId>org.apache.dubbo</groupId>
            <artifactId>dubbo-spring-boot-starter</artifactId>
        </dependency>

        <dependency>
            <groupId>org.apache.dubbo</groupId>
            <artifactId>dubbo-registry-nacos</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.protobuf</groupId>
            <artifactId>protobuf-java</artifactId>
        </dependency>
        <dependency>
            <groupId>com.google.protobuf</groupId>
            <artifactId>protobuf-java-util</artifactId>
        </dependency>
      <!--  <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-web</artifactId>
        </dependency>-->
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-csv</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
    </dependencies>
</project>